@import "../global";

@include define-section(server-edit-device-signal) {
    display: grid;
    gap: 1rem;
    place-items: start;
    place-content: start;
    grid-template-columns: 1fr;
    grid-template-rows: auto;
    padding: 1rem;

    > .info {
        @extend .generic-pop-over;
        background-color: #b8f3cc;
    }

    > .error {
        @extend .generic-pop-over;
        background-color: #f3b8b8;
    }

    .signal-info {
        background-color: #FFFFFF;
        border-radius: 0.3rem;
        padding: 0.5rem 0;

        > table {
            width: 100%;

            td {
                padding: 0.5rem 1rem;

                &:first-child {
                    text-align: left;
                    font-weight: bold;
                    color: #677180;
                    width: 10rem;
                    user-select: none;
                }

                // &:nth-child(2) {
                //     text-align: right;
                // }
            }
        }

        > .controls {
            padding: 1rem 1rem 0.5rem 1rem;

            > a > button {
                @extend .generic-input-button;
            }
        }
    }

    .edit-device-signal-form {
        padding: 1rem;
        background-color: #FFFFFF;
        display: grid;
        grid-template-columns: auto;
        grid-template-rows: auto auto;
        border-radius: 0.3rem;
        gap: 2rem;

        > .select-text-input {
            @extend .generic-labeled-select-text-input;
        }

        > .controls {
            > button {
                @extend .generic-input-button;
            }
        }
    }
}